aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch55
1 files changed, 55 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch b/recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch
new file mode 100644
index 0000000000..14274d86cf
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.3/debian/svn-class-updates.dpatch
@@ -0,0 +1,55 @@
+#! /bin/sh -e
+
+# DP: updated class files from the 4.2 branch upto 20070804.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ set -x
+ uudecode class-files.tar.bz2.uue
+ tar -xv -f class-files.tar.bz2 -C $dir
+ rm -f class-files.tar.bz2
+ ;;
+ -unpatch)
+ echo "cannot undo patch $(basename $0)"
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+
+#! /bin/sh
+
+dir=gcc-4_2-ubuntu-branch
+tag=ubuntu/gcc-4_2_1-release
+branch=ubuntu/gcc-4_2-branch
+
+tmplist=files$$
+
+svn diff --summarize \
+ svn://gcc.gnu.org/svn/gcc/tags/$tag \
+ svn://gcc.gnu.org/svn/gcc/branches/$branch \
+ | grep '\.class$' > $tmplist
+
+sed -n '/^[AM].*\.class$/s,.*/'$tag'/\(.*\),\1,p' $tmplist \
+ > neworchanged.list
+sed -n '/^[D].*\.class$/s,.*/'$tag'/\(.*\),\1,p' $tmplist \
+ > removed.list
+sed -n '/^[^ADM].*\.class$/s,.*/'$tag'/\(.*\),\1,p' $tmplist \
+ > unknown.list
+
+echo "new or changed: $(wc -l neworchanged.list | cut '-d ' -f1), removed $(wc -l removed.list | cut '-d ' -f1): , unknown: $(wc -l unknown.list | cut '-d ' -f1)"
+tar -c -j -f class-files.tar.bz2 -C $dir -T neworchanged.list
+uuencode class-files.tar.bz2 class-files.tar.bz2 > class-files.tar.bz2.uue
+
+rm -f $tmplist neworchanged.list removed.list unknown.list
+